Subject: RE>Technical quandry, regarding carried objects

From: [email-masked] (Clay Luther)
Date: Mon, 25 Jan 1993 10:25:20 -0800

>    I would like to make an object which can see what's going on in
>the room outside of the person who's carrying it, when it's being
>carried.  I would especially like to be able to tell when the carrying
>player has moved to another room, but general listening would also be
>highly desirable.  (Yes, yes, it's for a puppet, so shoot me.)
>Logically, it makes sense that a carried object (unless stuffed inside
>some pocket, which is another issue entirely) should be able to
>observe what goes on outside the player.  Basically, anything that
>person hears/sees (well, almost, at least in terms of anything the
>object could hear/see when in the same room as the player, but not
>being carried) the object ought to be able to hear/see.

We did this very easily in the GN with "events."  For instance, when an
object moved from one location to another, three events would be generated:
 event_move, event_leave, and event_enter.  The event_move was sent
directly to the object moving, whule the event_leave and event_enter would
be sent to any objects in the left and entered location that desired to be
notifed of events.

The events would carry enough information with them to tell the recipient
object what had moved and where to/from.

Events turned out to be a very powerful tool for the programmers in the GN,
and ended up being used for everything from npcs to furniture.

If you'd like to see the description of GN events, I can send the documentation.

It's actually pretty trivial code and is *very* handy for sending
notifications to carried objects like you want.

Clay

---
Clay W. Luther                                 [email-masked]
Software Engineer                             Vortech Data, Inc
Office (214) 994-1377                        Fax (214) 994-1310
                             Also [email-masked]

Well, it had been 987 years in outer space time when I got back.
Couldn't seem to find any of my friends to tell my interesting
stories to.